#!/bin/bash
# examples:
# start.sh [localhost [NaoTH [6]]]

AGENT_BINARY="naoth-simspark"
BINARY_DIR="./"
TEAM_NAME='NaoTH'
NUM_PLAYERS=9

# if [ -z "$2" ]; then
#     TEAM_NAME=$2
# fi

# if [ -z "$3" ]; then
#     NUM_PLAYERS=$3
# fi

#killall -9 "$AGENT_BINARY" &> /dev/null

function start_agent()
{
    printf '\33[7;31m'
    echo "start $1 $2 $3"
    printf '\33[0m'
    cd $BINARY_DIR &&
    # (./$AGENT_BINARY $1 $2 $3 | tee $1-$2-stdout.log) 3>&1 1>&2 2>&3 | tee $1-$2-stderr.log
    ./$AGENT_BINARY $1 $2 $3 > $1-$2-stdout.log 2> $1-$2-stderr.log
}

# function watchdog {
  
#   PLAYER=$1
  
#   echo "Starting watchdog for player $PLAYER ..."
#   ./naoth_simspark_watchdog.sh $PLAYER $SERVER &
#   echo ""
# }

for ((i=1;i<=$NUM_PLAYERS;i++)); do
    start_agent $TEAM_NAME $i $1 &
    sleep 2
done