#!/bin/bash
# examples:
# start.sh [localhost [NaoTH [6]]]

AGENT_BINARY="naoth-simspark"
BINARY_DIR="./"
TEAM_NAME='NaoTH'
NUM_PLAYERS=6

function start_agent()
{
    printf '\33[7;31m'
    echo "start $1 $2 $3"
    printf '\33[0m'
    cd $BINARY_DIR &&
    ./$AGENT_BINARY $1 $2 $3 > stdout$2 2> stderr$2
}

start_agent $TEAM_NAME 1 $1 &
